Package tigase.server

## Enum Priority

- java.lang.Object
- - java.lang.Enum<Priority>
  - - tigase.server.Priority

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Priority>`

      public enum Priority
      extends java.lang.Enum<Priority>

  Created: Feb 13, 2009 9:44:53 PM
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLUSTER` |
    `HIGH` |
    `LOW` |
    `LOWEST` |
    `NORMAL` |
    `PRESENCE` |
    `SYSTEM` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Priority` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Priority[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYSTEM

          public static final Priority SYSTEM

    - #### CLUSTER

          public static final Priority CLUSTER

    - #### HIGH

          public static final Priority HIGH

    - #### NORMAL

          public static final Priority NORMAL

    - #### LOW

          public static final Priority LOW

    - #### PRESENCE

          public static final Priority PRESENCE

    - #### LOWEST

          public static final Priority LOWEST

  - ### Method Detail

    - #### values

          public static Priority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Priority c : Priority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Priority valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null